Download it now!
Bug 32089 - Writer crash when Undo-Redo editing tables.
Summary: Writer crash when Undo-Redo editing tables.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: Other Linux (All)
: medium critical
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-03 14:24 UTC by jun meguro
Modified: 2013-11-23 13:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Log and sample (120.80 KB, application/gzip)
2010-12-16 06:43 UTC, jun meguro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jun meguro 2010-12-03 14:24:31 UTC
Open new Writer document.
Table > Insert > Table
Select all cells.
Ctrl + C
Type some text.
Set cursol between texts.
Ctrl + V,Ctrl + V,Ctrl + V,Ctrl + V,Ctrl + V .....
Ctrl + Z,Ctrl + Z,Ctrl + Z,Ctrl + Z,Ctrl + Z....
Ctrl + Y,Ctrl + Y,Ctrl + Y,Ctrl + Y,Ctrl + Y....
Ctrl + Z,Ctrl + Z,Ctrl + Z,Ctrl + Z,Ctrl + Z....
Ctrl + Y,Ctrl + Y,Ctrl + Y,Ctrl + Y,Ctrl + Y....
Table layout has broken.
Writer clash.
Comment 1 Katarina Behrens 2010-12-09 04:10:44 UTC
Can you perhaps get us a backtrace of the crash? See here how to obtain it: http://wiki.documentfoundation.org/BugReport
Comment 2 jun meguro 2010-12-16 06:43:19 UTC
Created attachment 41173 [details]
Log and sample

Trace log and sumple document.
Comment 3 jun meguro 2010-12-16 06:46:01 UTC
I submit the log and sample document.
Comment 4 Jan Holesovsky 2010-12-20 21:36:44 UTC
Jun: Very nice example document, thank you!

And wow - this is ugly :-(  After the first Undo/Redo, you get the tables inside the first one, and then a freeze...  Not a blocker I think, but still serious enough.
Comment 5 Cédric Bosdonnat 2011-02-11 07:38:41 UTC
Fixed in master branch:
http://cgit.freedesktop.org/libreoffice/writer/commit/?id=fe30ec866eee53a3f2b438a6cfb2a29d0501328c

Will be included for 3.4
Comment 6 Rainer Bielefeld Retired 2011-08-22 04:14:23 UTC
Fix verified by reporter in Bug 37022 - Writer crash when Undo-Redo editing tables